> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Debit Store



## OpenAPI

````yaml openapi.json post /branch/store/debit
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /branch/store/debit:
    parameters: []
    post:
      tags:
        - Branches
        - Stores
      summary: Debit Store
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                pin:
                  type: string
                  format: utc-millisec
                amount:
                  type: integer
                storeId:
                  type: string
                narration:
                  type: string
            example:
              pin: '2222'
              amount: 600
              storeId: 9ab67f41-10c9-4f52-adfc-31f460980966
              narration: First terminal transfer
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: >-
                Pragma,Expires,x-pub-key,Content-Type,Authorization,Cache-Control,X-Login-Token,X-Access-Token,Content-Language,ngrok-skip-browser-warning
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            ETag:
              schema:
                type: string
              example: W/"411-3sCeMC+JMQ+ifA8frgWNh0f3cvk"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Content-Encoding:
              schema:
                type: string
              example: gzip
            Date:
              schema:
                type: string
              example: Thu, 02 Jan 2025 15:37:55 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
            Transfer-Encoding:
              schema:
                type: string
              example: chunked
          description: Fund Transfer to Store - Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      paidAt:
                        type: string
                        format: date-time
                      reference:
                        type: string
                      totalAmount:
                        type: integer
                      charges:
                        type: integer
                      status:
                        type: string
                      amount:
                        type: integer
                      merchantId:
                        type: string
                      walletId:
                        type: string
                      category:
                        type: string
                      storeId:
                        type: string
                      storeName:
                        type: string
                      toWalletId:
                        type: string
                      narration:
                        type: string
                      fromWalletId:
                        type: string
                      beneficiaryBankName:
                        type: string
                      beneficiaryBankCode:
                        type: string
                        format: color
                      providerWalletId:
                        type: string
                      beneficiaryAccountNumber:
                        type: string
                        format: utc-millisec
                      beneficiaryAccountName:
                        type: string
                      originatorBankCode:
                        type: string
                        format: color
                      originatorBankName:
                        type: string
                      originatorAccountName:
                        type: string
                      originatorAccountNumber:
                        type: string
                        format: utc-millisec
                      description:
                        type: string
                      transactionId:
                        type: string
              example:
                status: true
                message: Wallet transfer successfully completed.
                data:
                  paidAt: '2025-01-02T15:37:50.547Z'
                  reference: g9lAfajGnGoLAztOLeahqIcgDMo0A3aBDvNO
                  totalAmount: 100
                  charges: 0
                  status: SUCCESS
                  amount: 100
                  merchantId: bb80715c-dcbc-460c-a8e4-203b63b03fce
                  walletId: 1e04b3a0-eabd-48b4-b5ba-91ec1d15a103
                  category: STORE_TO_MERCHANT
                  storeId: 9ab67f41-10c9-4f52-adfc-31f460980966
                  storeName: Lambe Shop
                  toWalletId: cd91b52e-e9b0-4dd7-b2ff-eaa2076614c6
                  narration: First terminal transfer
                  fromWalletId: 1e04b3a0-eabd-48b4-b5ba-91ec1d15a103
                  beneficiaryBankName: Xpress Wallet
                  beneficiaryBankCode: '999270'
                  providerWalletId: e24bad94-6518-4b99-9b24-c32a0863d8da
                  beneficiaryAccountNumber: '4439862547'
                  beneficiaryAccountName: Nwoko
                  originatorBankCode: '999270'
                  originatorBankName: Xpress Wallet
                  originatorAccountName: Neyosoft/Lambe Shop
                  originatorAccountNumber: '4478164596'
                  description: ₦100.00 transferred to Merchant account
                  transactionId: 2f874441-768a-412b-92d3-6f28ad57a80c
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````